package request


type AlibabaWdkMerchantStoreitemUpdateRequest struct {
    /*
        商品编码     */
    SkuCode  *string `json:"sku_code,omitempty" required:"false" `
    /*
        商家编码     */
    MerchantCode  *string `json:"merchant_code,omitempty" required:"false" `
    /*
        门店编码     */
    StoreId  *string `json:"store_id,omitempty" required:"false" `
    /*
        修改参数的json     */
    Params  *string `json:"params,omitempty" required:"false" `
}

func (s *AlibabaWdkMerchantStoreitemUpdateRequest) SetSkuCode(v string) *AlibabaWdkMerchantStoreitemUpdateRequest {
    s.SkuCode = &v
    return s
}
func (s *AlibabaWdkMerchantStoreitemUpdateRequest) SetMerchantCode(v string) *AlibabaWdkMerchantStoreitemUpdateRequest {
    s.MerchantCode = &v
    return s
}
func (s *AlibabaWdkMerchantStoreitemUpdateRequest) SetStoreId(v string) *AlibabaWdkMerchantStoreitemUpdateRequest {
    s.StoreId = &v
    return s
}
func (s *AlibabaWdkMerchantStoreitemUpdateRequest) SetParams(v string) *AlibabaWdkMerchantStoreitemUpdateRequest {
    s.Params = &v
    return s
}

func (req *AlibabaWdkMerchantStoreitemUpdateRequest) ToMap() map[string]interface{} {
    paramMap := make(map[string]interface{})
    if(req.SkuCode != nil) {
        paramMap["sku_code"] = *req.SkuCode
    }
    if(req.MerchantCode != nil) {
        paramMap["merchant_code"] = *req.MerchantCode
    }
    if(req.StoreId != nil) {
        paramMap["store_id"] = *req.StoreId
    }
    if(req.Params != nil) {
        paramMap["params"] = *req.Params
    }
    return paramMap
}

func (req *AlibabaWdkMerchantStoreitemUpdateRequest) ToFileMap() map[string]interface{} {
    fileMap := make(map[string]interface{})
    return fileMap
}